cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
967
Views
0
Helpful
1
Replies

Issue in Supported Deployment Type for UCCE Admin APIs to Work Completely

I am working with UCCE Admin APIs using the document attached with this discussion. I actually want to use Agent Skill Group Add and Remove functionality of this API but our current UCCE Deployment Type is not supporting this. With Current UCCE Deployment in our lab I can make some API calls from this doc for example fetching Agent's Info etc.

But When I try to Execute Agent Skill Group related API Calls (Update & Delete Operation), I get 403 Forbidden Error. Is this duw to inappropriate UCCE deployment type?

Can you please suggest us the desired UCCE Deployment type for these API calls to work? Can this API be used in Non-PCCE deployment also? Is this supported in UCCE?

Thanks for your time and consideration.

vchhabra calogue

1 REPLY 1
calogue
Cisco Employee

Hi -- There is a minimum UCCE version required to support and a permission requirement for access to that agent's configuration.


UCCE version:

For UCCE, this API was originally made available in Release 10.5(1) and via an MR on 10.0;  10.0(2) I think.  In 9.0(4), there was an ES to enable this.

For permission information, please see this post:

https://supportforums.cisco.com/discussion/12425106/need-help-ucce-admin-api-usage

Content for Community-Ad

This widget could not be displayed.